Bug 507964 - mount -a tries to mount mounted fuse filesystem
mount -a tries to mount mounted fuse filesystem
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fuse (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-24 17:03 EDT by Osipov Oleg
Modified: 2010-10-27 06:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-27 06:49:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Osipov Oleg 2009-06-24 17:03:36 EDT
Description of problem:
"mount-a" tries to mount already mounted fuse filesystem.

Version-Release number of selected component (if applicable):
==begin cut==
$ mount --version
mount from util-linux-ng 2.14.2 (with libblkid and selinux support)
==end cut====

How reproducible:
Always.

Steps to Reproduce:
1. install bindfs or some other fuse-based filesystem (sshfs, etc)
2. Add new mountpoint to /etc/fstab:
==begin cut==
bindfs#/srv/ftp/pub/music_cp1251_hide   /srv/ftp/pub/music_cp1251       fuse    ro,nosuid,nodev,allow_other,default_permissions,user=legolegs,group=users 0 0
==end cut====
3. [root@localhost] # mount -a
4. [root@localhost] # mount -a
Yes, run twice or more. Or reboot: during boot filesystems mounts twice - after loading kernel and after starting up network (i mean /etc/rc.d/init.d/netfs).

Actual results:
First "mount -a" work normally. Second prints error message:
==begin cut==
fuse: mountpoint is not empty
fuse: if you are sure this is safe, use the 'nonempty' mount option
==end cut====

Expected results:
First "mount -a" should mount new mountpoint normally. Second should notice all mouned filesystems and do nothing.

Additional info:
Some fuse silesystems (convmvfs for example) allow both fstab sintax:

somefuse#/from /mnt/to fuse defaults 0 0

and

somefuse /mnt/to fuse src_dir=/from 0 0

"mount -a" properly work only with second variant.
Comment 1 Penelope Fudd 2009-07-29 14:46:45 EDT
I'm also experiencing a problem with sshfs.  To add an entry to /etc/fstab, my usual procedure is to mount the directory manually, and then copy the entry from /etc/mtab to /etc/fstab.  In the case of sshfs, it doesn't work.  If I edit the fstab entry to be like this:

sshfs#server: /mnt/server fuse rw,nosuid,nodev,max_read=65536 0 0

then I can mount it, but the mtab entry looks like this:

server: /mnt/server fuse.sshfs rw,nosuid,nodev,max_read=65536 0 0

It seems that if the fstab entry doesn't look like the mtab entry, then mount -a will try to mount it again.

See also https://bugs.launchpad.net/ubuntu/+source/sshfs-fuse/+bug/243298
Comment 2 Karel Zak 2009-07-29 16:07:29 EDT
(In reply to comment #1)
> It seems that if the fstab entry doesn't look like the mtab entry, then mount
> -a will try to mount it again.

 Sure. mount(8) uses fsname+mountpoint pair to compare fstab with mtab.

> See also https://bugs.launchpad.net/ubuntu/+source/sshfs-fuse/+bug/243298  

 I see. The /sbin/mount.fuse helper has to write correct information to mtab. This is not a bug in [u]mount(8).
Comment 3 Bug Zapper 2010-04-27 11:14:08 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-07-30 06:41:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Peter Lemenkov 2010-10-27 06:49:14 EDT
it seems that it was finally fixed - I tried to add the following line into /etc/fstab

petro@localhost: /home/petro/fuse/sshfs/localhost fuse.sshfs users,rw,nosuid,nodev,max_read=65536,user=petro 0 0

and it does appears in /etc/fstab as is.  Also typing mount -a several times also works.

P.S. F-14, fuse-2.8.4-1.fc14.i686

Feel free to reopen this ticket again if problem still exists.

Note You need to log in before you can comment on or make changes to this bug.